List marketplace installations
curl --request GET \
--url https://api.parkes.ai/rest/v1/marketplace/installations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.parkes.ai/rest/v1/marketplace/installations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.parkes.ai/rest/v1/marketplace/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parkes.ai/rest/v1/marketplace/installations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parkes.ai/rest/v1/marketplace/installations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parkes.ai/rest/v1/marketplace/installations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parkes.ai/rest/v1/marketplace/installations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"listing_id": "<string>",
"release_id": "<string>",
"scope": "personal",
"status": "<string>",
"generation": 123,
"updated_at": "<string>",
"owner_id": "<string>",
"steward_id": "<string>",
"installed_at": "<string>",
"listing_snapshot": {
"id": "<string>",
"publisher_id": "<string>",
"slug": "<string>",
"status": "draft",
"updated_at": "<string>",
"current_release_id": "<string>",
"first_published_at": "<string>",
"install_count": 123,
"installation_id": "<string>",
"publisher": {
"id": "<string>",
"display_name": "<string>",
"slug": "<string>",
"kind": "<string>",
"avatar_url": "<string>"
},
"release": {
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"kind": "<string>",
"category": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"version": 123,
"headline": "<string>",
"description": "<string>",
"cover_url": "<string>",
"counts": {
"skills": 123,
"rules": 123,
"automations": 123,
"documents": 123
},
"items": [
{
"name": "<string>",
"description": "<string>",
"kind": "<string>"
}
],
"example_prompts": [
"<string>"
],
"suggested_integrations": [
{
"name": "<string>",
"slug": "<string>"
}
],
"install": {
"personal": true,
"requires_admin": true
}
}
},
"example_prompts": [
"<string>"
]
}
],
"page": {
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "about:blank",
"title": "Unauthenticated",
"status": 401,
"code": "unauthenticated",
"detail": "A valid bearer credential is required",
"request_id": "0b7238c5-a883-4ed0-8613-31f531e50f40"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}Marketplace
List marketplace installations
Requires marketplace:read and installation permissions. Updates and removal require the preview digest and an explicit choice for every item.
Required scopes (OAuth and personal tokens): marketplace:read. Resource permissions also apply.
GET
/
rest
/
v1
/
marketplace
/
installations
List marketplace installations
curl --request GET \
--url https://api.parkes.ai/rest/v1/marketplace/installations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.parkes.ai/rest/v1/marketplace/installations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.parkes.ai/rest/v1/marketplace/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parkes.ai/rest/v1/marketplace/installations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parkes.ai/rest/v1/marketplace/installations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parkes.ai/rest/v1/marketplace/installations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parkes.ai/rest/v1/marketplace/installations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"listing_id": "<string>",
"release_id": "<string>",
"scope": "personal",
"status": "<string>",
"generation": 123,
"updated_at": "<string>",
"owner_id": "<string>",
"steward_id": "<string>",
"installed_at": "<string>",
"listing_snapshot": {
"id": "<string>",
"publisher_id": "<string>",
"slug": "<string>",
"status": "draft",
"updated_at": "<string>",
"current_release_id": "<string>",
"first_published_at": "<string>",
"install_count": 123,
"installation_id": "<string>",
"publisher": {
"id": "<string>",
"display_name": "<string>",
"slug": "<string>",
"kind": "<string>",
"avatar_url": "<string>"
},
"release": {
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"kind": "<string>",
"category": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"version": 123,
"headline": "<string>",
"description": "<string>",
"cover_url": "<string>",
"counts": {
"skills": 123,
"rules": 123,
"automations": 123,
"documents": 123
},
"items": [
{
"name": "<string>",
"description": "<string>",
"kind": "<string>"
}
],
"example_prompts": [
"<string>"
],
"suggested_integrations": [
{
"name": "<string>",
"slug": "<string>"
}
],
"install": {
"personal": true,
"requires_admin": true
}
}
},
"example_prompts": [
"<string>"
]
}
],
"page": {
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "about:blank",
"title": "Unauthenticated",
"status": 401,
"code": "unauthenticated",
"detail": "A valid bearer credential is required",
"request_id": "0b7238c5-a883-4ed0-8613-31f531e50f40"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"errors": {}
}Authorizations
oauthbearer
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Opaque cursor from page.next_cursor. Keep the original filters unchanged when requesting the next page.
Maximum number of results to return in this page.
Required range:
1 <= x <= 200